#  CloudKassir модуль для OpenCart

Модуль позволяет интегрировать онлайн-кассу [CloudKassir](https://cloudkassir.ru/) в интернет-магазин на платформе OpenCart.

### Возможности
* Автоматическая отправка чеков прихода;  
* Отправка чеков возврата прихода;  
* Отдельная настройка НДС для служб доставки;  
* Отправка чеков на email клиента;  
* Отправка чеков в SMS.  

_Если вы используете платежный модуль CloudPayments совместно с модулем CloudKassir, то убедитесь, что в платежном модуле отключена отправка чеков через онлайн-кассу, во избежание дублирования кассовых чеков._

### Совместимость
* OpenCart v.3.0 и выше;
### Установка через панель управления

В панели адмниистратора зайти в раздел "Модули/Расширения" -> "Установка расширений" и загрузить архив.

### Ручная установка

Распаковать из архива каталог upload и загрузить в корень OpenCart.

### Настройка модуля

1. Перейти в настройки модуля "Модули/Расширения" -> "Модули/Расширения" -> "Модули".
Выбрать CloudKassir и активировать модуль.
2. Зайти в настройки модуля и указать:
    * Идентификатор сайта — Public id сайта из личного кабинета CloudPayments
    * Секретный ключ — API Secret из личного кабинета CloudPayments
    * ИНН — ИНН организации, на которую зарегистрирована онлайн-касса
    * Статус - включено
    * Ставка НДС — Указание ставки НДС.
        Все возможные значения указаны в [документации](https://cloudpayments.ru/wiki/integration/instrumenti/apikassa#nds).
    * Ставка НДС для доставки — Указание отдельной ставки НДС для доставки.
        Если доставка платная, то она в чеке оформляется отдельной строкой со своей ставкой НДС.
        Значения аналогично ставке НДС для товаров.
    * Система налогообложения — Тип системы налогообложения.
        Возможные значения перечислены в [документации CloudPayments](https://cloudpayments.ru/wiki/integration/instrumenti/apikassa#var)   
    * Статусы заказа для оплаты — Выбор статусов заказа, при перевозе на который отправляется запрос на генерация онлайн-чека прихода. По умолчанию "Ожидание"
    * Статусы заказа для возврата — Выбор статусов заказа, при перевозе на который отправляется запрос на генерация онлайн-чека возврата. По умолчанию "Отмена и анулирование"

    Затем сохранить введенные параметры.
